GDB (xrefs)

Namespaces | Functions | Variables
environ-selftests.c File Reference
`#include "defs.h"`
`#include "selftest.h"`
`#include "common/environ.h"`
`#include "common/diagnostics.h"`

Go to the source code of this file.

## Namespaces
| selftests
| selftests::gdb_environ_tests

## Functions
static bool | set_contains (const std::set< std::string > &set, std::string key)
static void | selftests::gdb_environ_tests::test_vector_initialization ()
static void | selftests::gdb_environ_tests::test_init_from_host_environ ()
static void | selftests::gdb_environ_tests::test_reinit_from_host_environ ()
static void | selftests::gdb_environ_tests::test_set_A_unset_B_unset_A_cannot_find_A_can_find_B ()
static void | selftests::gdb_environ_tests::test_unset_set_empty_vector ()
static void | selftests::gdb_environ_tests::test_vector_clear ()
static void | selftests::gdb_environ_tests::test_std_move ()
static void | selftests::gdb_environ_tests::test_move_constructor ()
static void | selftests::gdb_environ_tests::test_self_move ()
static void | selftests::gdb_environ_tests::test_set_unset_reset ()
static void | selftests::gdb_environ_tests::run_tests ()
void | _initialize_environ_selftests ()

## Variables
static const char | gdb_selftest_env_var [] = "GDB_SELFTEST_ENVIRON"

## Function Documentation

## ◆ _initialize_environ_selftests()

void _initialize_environ_selftests | ( |  | ) |

Definition at line 302 of file environ-selftests.c.

References selftests::register_test(), and selftests::gdb_environ_tests::run_tests().

## ◆ set_contains()

static bool set_contains | ( | const std::set< std::string > & | set,
|  | std::string | key
| ) |  |
| static

Definition at line 28 of file environ-selftests.c.

Referenced by selftests::gdb_environ_tests::test_move_constructor(), selftests::gdb_environ_tests::test_self_move(), selftests::gdb_environ_tests::test_set_A_unset_B_unset_A_cannot_find_A_can_find_B(), selftests::gdb_environ_tests::test_set_unset_reset(), selftests::gdb_environ_tests::test_std_move(), and selftests::gdb_environ_tests::test_unset_set_empty_vector().

## Variable Documentation

## ◆ gdb_selftest_env_var

const char gdb_selftest_env_var[] = "GDB_SELFTEST_ENVIRON"
| static

Definition at line 25 of file environ-selftests.c.

Referenced by selftests::gdb_environ_tests::test_init_from_host_environ(), and selftests::gdb_environ_tests::test_vector_clear().